package com.stmatthews.hospital.facilities;

import com.bea.wlevs.ede.api.StreamSink;


public class TemperatureReadingTesterSink implements StreamSink {

    /* (non-Javadoc)
     * @see com.bea.wlevs.ede.api.StreamSink#onInsertEvent(java.lang.Object)
     */
    public void onInsertEvent(Object event) {
//    	System.out.println("Event type "+event.getClass().getCanonicalName());
    	
        if (event instanceof TemperatureReading) {
            TemperatureReading te = (TemperatureReading)event;
            System.out.println("Reading Processor received Sensor "+te.getSensorId()+" - temperature "+te.getTemperature());
        }   
        if (event instanceof TemperatureFinding) {
            TemperatureFinding te = (TemperatureFinding)event;
            System.out.println("Temperature Reading Processor derived average temperature for Cluster "+te.getClusterId()+" - temperature "+te.getTemperature());
        }   
    }
}
