package com.stmatthews.hospital.facilities;

import com.bea.wlevs.ede.api.StreamSink;


public class TemperatureReadingTesterSink implements StreamSink {

    /* (non-Javadoc)
     * @see com.bea.wlevs.ede.api.StreamSink#onInsertEvent(java.lang.Object)
     */
    public void onInsertEvent(Object event) {
    	System.out.println("Event type "+event.getClass().getCanonicalName());
    	
        if (event instanceof TemperatureReadingEvent) {
            TemperatureReadingEvent te = (TemperatureReadingEvent)event;
            System.out.println("Sensor "+te.getSensorId());
        }   
    }
}
